package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.location.GameDisplay;


public class Skeleton extends Enemy
{
    public Skeleton(int hp, int mp, String name) { super(hp, mp, name); }

    @Override
    public void specialAbility(Entity target)
    {
        if(getMp() >= 4)
        {
            super.specialAbility(target);
            System.out.println(GameDisplay.CYAN + "Skeleton is regenerating its bones(+ %50 HP)! 🦴" + GameDisplay.RESET);
            this.setMp(this.getMp() - 4);
            this.setHp(this.getHp() / 2);
        }
        else System.out.println(GameDisplay.RED + "Skeleton does not have enough MP to use special ability!" + GameDisplay.RESET);
    }
}